summaryrefslogtreecommitdiff
path: root/tests/misc/pwd-long
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/pwd-long')
-rwxr-xr-xtests/misc/pwd-long6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/misc/pwd-long b/tests/misc/pwd-long
index c4af777f3..bf6d00441 100755
--- a/tests/misc/pwd-long
+++ b/tests/misc/pwd-long
@@ -27,9 +27,9 @@ $PERL -e 1 > /dev/null 2>&1 || {
}
framework_failure=0
-pwd=`${BUILD_SRC_DIR?}/pwd` || framework_failure=1
+pwd=`"${BUILD_SRC_DIR?}"/pwd` || framework_failure=1
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
mkdir -p $tmp || framework_failure=1
@@ -75,7 +75,7 @@ $build_src_dir
my $pwd_binary = "$build_src_dir/pwd";
-x $pwd_binary
or die "$ME: $pwd_binary is not an executable file\n";
-chomp (my $actual = `$pwd_binary`);
+chomp (my $actual = `"$pwd_binary"`);
if ($expected ne $actual)
{
my $e_len = length $expected;